
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2017-05-30
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>Sample Changes Report: Papyrus Component | Papyrus Components</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/docs.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/reflow-skin.css" rel="stylesheet" />


		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/lightbox.css" rel="stylesheet" />

		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/site.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/highlightjs/default.min.css"></link>
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/highlight.min.js"></script>
	</head>

	<body class="page-changes-report project-orgeclipsepapyruscomponentsparent" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/index.html">Papyrys <span class="color-highlight">Components</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="org.eclipse.papyrus.components.archetype/index.html" title="Papyrus Components Archetype">Papyrus Components Archetype</a></li>
									<li ><a href="org.eclipse.papyrus.components.targetplatforms.parent/index.html" title="Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23">Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Components <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="https://www.eclipse.org/papyrus/components/sysml" title="SysML 1.4" target="_blank" class="externalLink">SysML 1.4</a></li>
									<li ><a href="https://www.eclipse.org/papyrus/components/robotml" title="RobotML" target="_blank" class="externalLink">RobotML</a></li>
									<li ><a href="https://www.eclipse.org/papyrus/components/designer" title="Designer" target="_blank" class="externalLink">Designer</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Doc <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="user/index.html" title="User">User</a></li>
									<li ><a href="relenger/index.html" title="Relenger">Relenger</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Components</span> project</h1></a>
					<p class="lead">Papyrus Components Standardisation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<div>
			<ul class="breadcrumb">
				<li><a href="./" title="Components">Components</a></li>
				<li class="divider">/</li>
				<li>Sample Changes Report: Papyrus Component</li>
			</ul>
		</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Sample_Changes_Report_Papyrus_Component" title="Sample Changes Report: Papyrus Component">Sample Changes Report: Papyrus Component</a></li>
						<li class="toplevel"><a href="#Release_History" title="Release History">Release History</a></li>
						<li class="toplevel"><a href="#a0019-SNAPSHOT" title="Release 0.0.19-SNAPSHOT – 2016-11-00">Release 0.0.19-SNAPSHOT – 2016-11-00</a></li>
						<li class="toplevel"><a href="#a0018" title="Release 0.0.18 – 2016-10-05">Release 0.0.18 – 2016-10-05</a></li>
						<li class="toplevel"><a href="#a0017" title="Release 0.0.17 – 2016-08-10">Release 0.0.17 – 2016-08-10</a></li>
						<li class="toplevel"><a href="#a0016" title="Release 0.0.16 – 2016-08-10">Release 0.0.16 – 2016-08-10</a></li>
		<li class="divider-vertical"></li>
		<li class="dropdown">
			<a href="#" title="More&hellip;" class="dropdown-toggle" role="button" data-toggle="dropdown" data-target="#">&hellip; <b class="caret"></b></a>
			<ul class="dropdown-menu" role="menu">
								<li><a href="#a001" title="Release 0.0.1 – 2016-07-30">Release 0.0.1 – 2016-07-30</a></li>

			</ul>
		</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Sample_Changes_Report_Papyrus_Component">Sample Changes Report: Papyrus Component</h2>
 </div> 
 <div class="section"> 
  <h3 id="Release_History">Release History</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Version</th> 
     <th>Date</th> 
     <th>Description</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td><a href="#a0.0.19-SNAPSHOT">0.0.19-SNAPSHOT</a></td> 
     <td>2016-11-00</td> 
     <td>Snarky Puppy</td> 
    </tr> 
    <tr class="a"> 
     <td><a href="#a0.0.18">0.0.18</a></td> 
     <td>2016-10-05</td> 
     <td>Little Grey Tigger</td> 
    </tr> 
    <tr class="b"> 
     <td><a href="#a0.0.17">0.0.17</a></td> 
     <td>2016-08-10</td> 
     <td>Snarky Puppy</td> 
    </tr> 
    <tr class="a"> 
     <td><a href="#a0.0.16">0.0.16</a></td> 
     <td>2016-08-10</td> 
     <td>Puppy</td> 
    </tr> 
    <tr class="b"> 
     <td><a href="#a0.0.1">0.0.1</a></td> 
     <td>2016-07-30</td> 
     <td>Kitty</td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
 <div class="section"> 
  <h3 id="a0019-SNAPSHOT">Release 0.0.19-SNAPSHOT – 2016-11-00</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Type</th> 
     <th>Changes</th> 
     <th>By</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td><i class="icon-refresh"></i></td> 
     <td>. Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=502817">502817</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
 <div class="section"> 
  <h3 id="a0018">Release 0.0.18 – 2016-10-05</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Type</th> 
     <th>Changes</th> 
     <th>By</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Patching several archetype minor bugs. Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=502817">502817</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="a"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Add the Neon/Oxygen folder level in the update site . Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=501039">501039</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
 <div class="section"> 
  <h3 id="a0017">Release 0.0.17 – 2016-08-10</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="b"> 
     <th>Type</th> 
     <th>Changes</th> 
     <th>By</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="a"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Introducing the Eclipse release version in the folder architecture of the update site. Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=499343">499343</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="b"> 
     <td><i class="icon-wrench"></i></td> 
     <td>Enable to run basic mvn command from any module whithout the problem of missing header file. Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=500415">500415</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="a"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Updating tycho version to 0.26.0, to have a better support for surefire and target files See https://wiki.eclipse.org/Tycho/Release_Notes/0.26 Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=500394">500394</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="b"> 
     <td><i class="icon-refresh"></i></td> 
     <td>All the fixes can be found here: https://bugs.eclipse.org/bugs/buglist.cgi?classification=Modeling&amp;product=Papyrus&amp;component=Components&amp;target_milestone=</td> 
     <td><a href="team-list.html#null"></a></td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
 <div class="section"> 
  <h3 id="a0016">Release 0.0.16 – 2016-08-10</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Type</th> 
     <th>Changes</th> 
     <th>By</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Updating the publish script to remove the downloads item Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=499343">499343</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="a"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Updating the documentation Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=499345">499345</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="b"> 
     <td><i class="icon-refresh"></i></td> 
     <td>All the fixes can be found here: https://bugs.eclipse.org/bugs/buglist.cgi?classification=Modeling&amp;product=Papyrus&amp;component=Components&amp;target_milestone=</td> 
     <td><a href="team-list.html#null"></a></td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
 <div class="section"> 
  <h3 id="a001">Release 0.0.1 – 2016-07-30</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Type</th> 
     <th>Changes</th> 
     <th>By</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td><i class="icon-refresh"></i></td> 
     <td>Creation of the component main pom Fixes <a class="externalLink" href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=496803">496803</a>.</td> 
     <td><a href="team-list.html#flefevre">flefevre</a></td> 
    </tr> 
    <tr class="a"> 
     <td><i class="icon-refresh"></i></td> 
     <td>All the fixes can be found here: https://bugs.eclipse.org/bugs/buglist.cgi?classification=Modeling&amp;product=Papyrus&amp;component=Components&amp;target_milestone=</td> 
     <td><a href="team-list.html#null"></a></td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus.tools.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Components/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li >
							<a href="org.eclipse.papyrus.components.archetype/index.html" title="Papyrus Components Archetype">Papyrus Components Archetype</a>
						</li>
						<li >
							<a href="org.eclipse.papyrus.components.targetplatforms.parent/index.html" title="Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23">Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23</a>
						</li>
						<li class="nav-header">Parent</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li >
							<a href="project-info.html" title="Project Information">Project Information <i class="icon-chevron-right"></i></a>
						</li>
						<li >
							<a href="project-reports.html" title="Project Reports">Project Reports <i class="icon-chevron-down"></i></a>
							<ul class="nav nav-list">
						<li >
							<a href="surefire-report.html" title="Surefire Report">Surefire Report</a>
						</li>
						<li >
							<a href="changelog.html" title="Change Log">Change Log</a>
						</li>
						<li >
							<a href="file-activity.html" title="File Activity">File Activity</a>
						</li>
						<li >
							<a href="dev-activity.html" title="Developer Activity">Developer Activity</a>
						</li>
						<li class="active">
							<a href="#" title="Changes">Changes</a>
						</li>
						<li >
							<a href="jacoco-aggregate/index.html" title="JaCoCo Aggregate">JaCoCo Aggregate</a>
						</li>
							</ul>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Components</span> project is aiming at providing an integrated and developer environment for adding components to Papyrus core.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 0.0.23. </span><span class="publishDate">Last Published: 2017-05-30. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/jquery.min.js"></script>

	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/bootstrap.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/lightbox.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/reflow-scroll.js"></script>
	
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/highlight.min.js"></script>
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/jquery.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/reflow-skin.js"></script>

	</body>
</html>
